> For the complete documentation index, see [llms.txt](https://docs.atomyx.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atomyx.io/atomyx-submit/implementation/api-integration/api-reference/models.md).

# Models

## The Property object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"Property":{"type":"object","description":"Property is an key and value pair with an additional human readable name.","properties":{"propertyId":{"type":"string","description":"A unique id of the property"},"propertyName":{"type":"string","description":"A human readable name"},"value":{"description":"A value of a property"}},"required":["propertyId","propertyName","value"]}}}}
```

## The Capabilities object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"Capabilities":{"type":"object","description":"The capabilities you want to enable in the Atomyx Submit UI.","properties":{"adjust":{"type":"boolean","description":"Allow the submitter to perform basic artwork adjustments (rotate, mirror, stretch) in the Atomyx Submit UI."},"checkFix":{"type":"boolean","description":"Perform a preflight check on the uploaded artwork"},"checkFixProfile":{"type":"string","description":"An accessible link to the pdfToolbox profile that needs to be used for the preflight check."},"checkFixParameters":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of properties that will be passed as variables to the preflight check. The property_id will be used as the variable name."},"proof":{"type":"boolean","description":"Perform a proof check on the uploaded artwork"},"proofProfile":{"type":"string","description":"An accessible link to the pdfToolbox profile that needs to be used for the proof check."},"proofParameters":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of properties passed as variables to the proof page preflight profile. The propertyId is used as the variable name. Only applied when proof is true."},"allowNonArtworkFiles":{"type":"boolean","description":"Allow the submitter to upload non-previewable files (e.g. zip archives,...)."}}},"Property":{"type":"object","description":"Property is an key and value pair with an additional human readable name.","properties":{"propertyId":{"type":"string","description":"A unique id of the property"},"propertyName":{"type":"string","description":"A human readable name"},"value":{"description":"A value of a property"}},"required":["propertyId","propertyName","value"]}}}}
```

## The ArtworkStatus object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"ArtworkStatus":{"type":"string","description":"The current status of an artwork.","enum":["unknown","pending","processing","completed","failed","canceled"]}}}}
```

## The JobStatus object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"JobStatus":{"type":"string","description":"The current status of the job artwork","enum":["created","uploaded","failed","passed","approved","rejected","manualReview"]}}}}
```

## The Job object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"Job":{"type":"object","description":"A print job for which artwork is requested.","properties":{"id":{"type":"string","format":"uuid","description":"The Atomyx Submit API ID for this job."},"status":{"$ref":"#/components/schemas/JobStatus"},"externalId":{"type":"string","description":"An ID that can be used to identify this job in an external system."},"uploadURL":{"type":"string","format":"uri","description":"The URL where the end user can upload artwork for this job."},"returnURL":{"type":"string","format":"uri","description":"The URL the end user is redirected to after approving or rejecting artwork. Absent when not set."},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of informational properties that will be displayed to the end user. Often used to display order and job information."},"capabilities":{"$ref":"#/components/schemas/Capabilities"},"preflightProfile":{"type":"object","description":"The resolved preflight profile used for the preflight check.","properties":{"type":{"type":"string","description":"The URL of the pdfToolbox profile."},"parameters":{"type":"object","description":"Key-value pairs passed as variables to the preflight profile.","additionalProperties":true}},"required":["parameters"]},"proofPreflightProfile":{"type":"object","description":"The resolved proof page preflight profile. Present when capabilities.proof is true and proofProfile was provided.","properties":{"type":{"type":"string","description":"The URL of the pdfToolbox profile used for proof page generation."},"parameters":{"type":"object","description":"Key-value pairs passed as variables to the proof profile.","additionalProperties":true}},"required":["parameters"]},"emailAddress":{"type":"string","format":"email","description":"The email address of the customer submitting the artwork. Required when capabilities.proof is true. Used to notify the customer when the proof page step completes."},"comments":{"type":"string","description":"Comments left by the end user when rejecting artwork."},"brand":{"$ref":"#/components/schemas/Brand"},"artwork":{"type":"object","description":"The artwork associated with this job. Present when the job was created with an artwork URL.","properties":{"id":{"type":"string","format":"uuid","description":"The Atomyx Submit API ID for this artwork."},"status":{"$ref":"#/components/schemas/ArtworkStatus"}},"required":["id","status"]}}},"JobStatus":{"type":"string","description":"The current status of the job artwork","enum":["created","uploaded","failed","passed","approved","rejected","manualReview"]},"Property":{"type":"object","description":"Property is an key and value pair with an additional human readable name.","properties":{"propertyId":{"type":"string","description":"A unique id of the property"},"propertyName":{"type":"string","description":"A human readable name"},"value":{"description":"A value of a property"}},"required":["propertyId","propertyName","value"]},"Capabilities":{"type":"object","description":"The capabilities you want to enable in the Atomyx Submit UI.","properties":{"adjust":{"type":"boolean","description":"Allow the submitter to perform basic artwork adjustments (rotate, mirror, stretch) in the Atomyx Submit UI."},"checkFix":{"type":"boolean","description":"Perform a preflight check on the uploaded artwork"},"checkFixProfile":{"type":"string","description":"An accessible link to the pdfToolbox profile that needs to be used for the preflight check."},"checkFixParameters":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of properties that will be passed as variables to the preflight check. The property_id will be used as the variable name."},"proof":{"type":"boolean","description":"Perform a proof check on the uploaded artwork"},"proofProfile":{"type":"string","description":"An accessible link to the pdfToolbox profile that needs to be used for the proof check."},"proofParameters":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of properties passed as variables to the proof page preflight profile. The propertyId is used as the variable name. Only applied when proof is true."},"allowNonArtworkFiles":{"type":"boolean","description":"Allow the submitter to upload non-previewable files (e.g. zip archives,...)."}}},"Brand":{"type":"object","description":"Branding applied to the Submit UI for this job.","properties":{"color":{"type":"string","description":"Hex colour code applied to the Submit UI theme (e.g. \"#1A73E8\")."},"logo":{"type":"string","format":"uri","description":"Publicly accessible URL to the brand logo image."}}},"ArtworkStatus":{"type":"string","description":"The current status of an artwork.","enum":["unknown","pending","processing","completed","failed","canceled"]}}}}
```

## The Brand object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"Brand":{"type":"object","description":"Branding applied to the Submit UI for this job.","properties":{"color":{"type":"string","description":"Hex colour code applied to the Submit UI theme (e.g. \"#1A73E8\")."},"logo":{"type":"string","format":"uri","description":"Publicly accessible URL to the brand logo image."}}}}}}
```

## The CreateJobRequest object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"CreateJobRequest":{"type":"object","required":["externalId"],"properties":{"externalId":{"type":"string","description":"An ID that can be used to identify this job in an external system."},"callbackURL":{"type":"string","format":"uri","description":"A publicly accessible URL that will be called when the status of the job changes."},"returnURL":{"type":"string","format":"uri","description":"A URL to redirect the end user to after they have approved or rejected their artwork. When present the Submit completion screen is skipped entirely."},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of informational properties that will be displayed to the end user. Often used to display order and job information."},"capabilities":{"$ref":"#/components/schemas/Capabilities"},"emailAddress":{"type":"string","format":"email","description":"The email address of the customer submitting the artwork. Required when capabilities.proof is true. Used to notify the customer when the proof page step completes."},"brand":{"$ref":"#/components/schemas/Brand"},"artwork":{"type":"object","description":"Pre-supply an artwork for this job by providing a publicly accessible URL. When provided, the artwork is automatically processed without waiting for end-user upload.","properties":{"url":{"type":"string","format":"uri","description":"A publicly accessible URL to the artwork file."}},"required":["url"]}}},"Property":{"type":"object","description":"Property is an key and value pair with an additional human readable name.","properties":{"propertyId":{"type":"string","description":"A unique id of the property"},"propertyName":{"type":"string","description":"A human readable name"},"value":{"description":"A value of a property"}},"required":["propertyId","propertyName","value"]},"Capabilities":{"type":"object","description":"The capabilities you want to enable in the Atomyx Submit UI.","properties":{"adjust":{"type":"boolean","description":"Allow the submitter to perform basic artwork adjustments (rotate, mirror, stretch) in the Atomyx Submit UI."},"checkFix":{"type":"boolean","description":"Perform a preflight check on the uploaded artwork"},"checkFixProfile":{"type":"string","description":"An accessible link to the pdfToolbox profile that needs to be used for the preflight check."},"checkFixParameters":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of properties that will be passed as variables to the preflight check. The property_id will be used as the variable name."},"proof":{"type":"boolean","description":"Perform a proof check on the uploaded artwork"},"proofProfile":{"type":"string","description":"An accessible link to the pdfToolbox profile that needs to be used for the proof check."},"proofParameters":{"type":"array","items":{"$ref":"#/components/schemas/Property"},"description":"A list of properties passed as variables to the proof page preflight profile. The propertyId is used as the variable name. Only applied when proof is true."},"allowNonArtworkFiles":{"type":"boolean","description":"Allow the submitter to upload non-previewable files (e.g. zip archives,...)."}}},"Brand":{"type":"object","description":"Branding applied to the Submit UI for this job.","properties":{"color":{"type":"string","description":"Hex colour code applied to the Submit UI theme (e.g. \"#1A73E8\")."},"logo":{"type":"string","format":"uri","description":"Publicly accessible URL to the brand logo image."}}}}}}
```

## The Error object

```json
{"openapi":"3.0.3","info":{"title":"Submit Service API","version":"0.0.1"},"components":{"schemas":{"Error":{"type":"object","properties":{"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atomyx.io/atomyx-submit/implementation/api-integration/api-reference/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
